Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.igraph
Class ExpansionModel.NodeComponent

    java.lang.Object
      ix.icore.domain.NodeSpec
          ix.iview.domain.UINodeSpec
              ix.iview.igraph.ExpansionModel.NodeComponent

All Implemented Interfaces:
  Named, java.io.Serializable, javax.swing.tree.TreeNode

Enclosing class:
  ExpansionModel

    static class ExpansionModel.NodeComponent

extends UINodeSpec

Field Summary
`(package private) Name` | `id`
`(package private) ExpansionModel.Pin[]` | `inputPins`
`(package private) java.lang.String` | `label`
`(package private) ExpansionModel.Pin[]` | `outputPins`

Fields inherited from class ix.iview.domain.UINodeSpec
`uiDomain`

Fields inherited from class ix.icore.domain.NodeSpec
`pattern`

Constructor Summary
`ExpansionModel.NodeComponent(UIDomain uiDomain, Name id)`
`ExpansionModel.NodeComponent(UIDomain uiDomain, Name id, LList pattern)`
`ExpansionModel.NodeComponent(UIDomain uiDomain, Name id, java.lang.String pattern)`
`ExpansionModel.NodeComponent(UIDomain uiDomain, java.lang.String name, LList pattern)`

Method Summary
`java.lang.String` | `show()`

Methods inherited from class ix.iview.domain.UINodeSpec
`children, clone, getAllowsChildren, getChildAt, getChildCount, getId, getIndex, getName, getNodes, getParent, getPattern, isLeaf, setId, setPattern`

Methods inherited from class ix.icore.domain.NodeSpec
`instantiate, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### label

    java.lang.String label

### id

    Name id

### inputPins

    ExpansionModel.Pin[] inputPins

### outputPins

    ExpansionModel.Pin[] outputPins

Constructor Detail

### ExpansionModel.NodeComponent

    public ExpansionModel.NodeComponent(UIDomain uiDomain,
                                        Name id)

### ExpansionModel.NodeComponent

    public ExpansionModel.NodeComponent(UIDomain uiDomain,
                                        Name id,
                                        LList pattern)

### ExpansionModel.NodeComponent

    public ExpansionModel.NodeComponent(UIDomain uiDomain,
                                        Name id,
                                        java.lang.String pattern)

### ExpansionModel.NodeComponent

    public ExpansionModel.NodeComponent(UIDomain uiDomain,
                                        java.lang.String name,
                                        LList pattern)

Method Detail

### show

    public java.lang.String show()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD